#!/bin/bash

DATE=`date +%Y%m%d`
CVSTAG=Directory_Server_8_0_Errata_2008-0602
VERSION=8.0.4
PKGNAME=redhat-ds-admin
export CVSROOT=:pserver:anonymous@cvs.fedoraproject.org:/cvs/dirsec

cvs -d "$CVSROOT" -z3 export -r$CVSTAG -d $PKGNAME-$VERSION adminserver
#cvs -d "$CVSROOT" -z3 export -r$CVSTAG -d $PKGNAME-$VERSION-$DATE adminserver

#cd $PKGNAME-$VERSION-$DATE
cd $PKGNAME-$VERSION
cvs -d "$CVSROOT" -z3 export -r$CVSTAG mod_admserv mod_restartd
cd ..

echo "Must checkout branding stuff and run branding scripts here"

tar -cjf $PKGNAME-$VERSION.tar.bz2 $PKGNAME-$VERSION
#tar -cjf $PKGNAME-$VERSION-$DATE.tar.bz2 $PKGNAME-$VERSION-$DATE

rm -rf $PKGNAME-$VERSION-$DATE $PKGNAME-$VERSION
